<?php
/**
 * HUBzero CMS
 *
 * Copyright 2005-2014 Purdue University. All rights reserved.
 *
 * This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 *
 * The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
 * software: you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * HUBzero is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * HUBzero is a registered trademark of Purdue University.
 *
 * @package   hubzero-cms
 * @author    Kevin Wojkovich <kevinw@purdue.edu>
 * @copyright Copyright 2005-2014 Purdue University. All rights reserved.
 * @license   http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

if (isset($this->filters['filterby']) != TRUE)
{
	$this->filters['filterby'] = 'all';
}

$this->js('posts')
     ->css('posts');
?>
<header id="content-header">
	<h2><?php echo $this->title; ?></h2>

	<div id="content-header-extra">
		<ul id="useroptions">
			<li>
				<a href="#feedbox" id="generateFeed" class="fancybox-inline icon-feed btn"><?php echo JText::_('COM_FEEDAGGREGATOR_GENERATE_FEED'); ?></a>
			</li>
			<li>
				<a class="icon-download btn" href="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=posts&task=RetrieveNewPosts'); ?>"><?php echo JText::_('COM_FEEDAGGREGATOR_GET_NEW_POSTS'); ?></a>
			</li>
			<li>
				<a class="icon-browse btn" href="<?php echo JRoute::_('index.php?option='. $this->option . '&controller=feeds'); ?>"><?php echo JText::_('COM_FEEDAGGREGATOR_VIEW_FEEDS'); ?></a>
			</li>
			<li class="last">
				<a class="icon-add btn" href="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=feeds&task=new'); ?>"><?php echo JText::_('COM_FEEDAGGREGATOR_ADD_FEED'); ?></a>
			</li>
		</ul>
	</div><!-- / #content-header-extra -->
</header>

<section class="main section">
	<form method="get" action="<?php echo JRoute::_('index.php?option=' . $this->option); ?>">
		<div id="page-main">

		<?php if (count($this->posts) > 0):?>
			<div class="container">
				<ul class="entries-menu filter-options">
					<li><a class="filter-all<?php if ($this->filters['filterby'] == 'all') { echo ' active'; } ?>" href="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=posts&filterby=all'); ?>"><?php echo JText::_('COM_FEEDAGGREGATOR_FILTER_ALL'); ?></a></li>
					<li><a class="filter-all<?php if ($this->filters['filterby'] == 'new') { echo ' active'; } ?>" href="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=posts&filterby=new'); ?>"><?php echo JText::_('COM_FEEDAGGREGATOR_FILTER_NEW'); ?></a></li>
					<li><a class="filter-all<?php if ($this->filters['filterby'] == 'review') { echo ' active'; } ?>" href="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=posts&filterby=review'); ?>"><?php echo JText::_('COM_FEEDAGGREGATOR_FILTER_REVIEW'); ?></a></li>
					<li><a class="filter-all<?php if ($this->filters['filterby'] == 'approved') { echo ' active'; } ?>" href="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=posts&filterby=approved'); ?>"><?php echo JText::_('COM_FEEDAGGREGATOR_FILTER_APPROVED'); ?></a></li>
					<li><a class="filter-all<?php if ($this->filters['filterby'] == 'removed') { echo ' active'; } ?>" href="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=posts&filterby=removed'); ?>"><?php echo JText::_('COM_FEEDAGGREGATOR_FILTER_REMOVED'); ?></a></li>
				</ul>

				<table class="ideas entries feedtable">
					<caption><?php echo JText::sprintf('COM_FEEDAGGREGATOR_SHOWING_POSTS', $this->filters['filterby']); ?></caption>
					<tbody>
					<?php foreach ($this->posts as $post): ?>
						<?php if (($post->status != "removed" AND $this->filters['filterby'] != "removed") OR
								($post->status == "removed" AND $this->filters['filterby'] == "removed") OR
								($this->task == "PostsById")): ?>
						<tr id="row-<?php echo $post->id; ?>">
							<td><a class="fancybox-inline" rel="group1" href="#content-fancybox<?php echo $post->id; ?>"><?php echo $post->shortTitle; ?></a></td>
							<td><?php echo $post->created; ?>
							<td><?php echo $post->name;?></td>
							<td id="status-<?php echo $post->id; ?>">
								<?php if ($post->status == "under review")
								{
									echo '<div class="review-status">';
									echo $post->status;
									echo '</div>';
								}
								else if ($post->status == "approved")
								{
									echo '<div class="approve-status">';
									echo $post->status;
									echo '</div>';
								}
								else if ($post->status == "new")
								{
									echo '<b>';
									echo $post->status;
									echo '</b>';
								}
								else if ($post->status == "removed")
								{
									echo '<div class="remove-status">';
									echo $post->status;
									echo '</div>';
								}
								?>
							</td>
							<td>
								<input type="button" data-id="<?php echo $post->id; ?>" data-action="approve" class="approveBtn btn actionBtn <?php echo 'btnGrp' . $post->id; ?>" value="<?php echo JText::_('COM_FEEDAGGREGATOR_APPROVE'); ?>" id="approve-<?php echo $post->id;?>" <?php echo ($post->status == "approved" ? 'disabled' : ''); ?> />
								<input type="button" data-id="<?php echo $post->id; ?>" data-action="mark" class="reviewBtn btn actionBtn <?php echo 'btnGrp' . $post->id; ?>" value="<?php echo JText::_('COM_FEEDAGGREGATOR_MARK_FOR_REVIEW'); ?>" id="mark-<?php echo $post->id; ?>" <?php echo ($post->status == "under review" ? 'disabled' : ''); ?> />
								<input type="button" data-id="<?php echo $post->id; ?>" data-action="remove" class="removeBtn btn actionBtn <?php echo 'btnGrp' . $post->id; ?>" value="<?php echo JText::_('COM_FEEDAGGREGATOR_REMOVE'); ?>" id="remove-<?php echo $post->id;?>" <?php echo ($post->status == "removed" ? 'disabled' : ''); ?> />
								<div class="postpreview-container">
									<div class="postpreview" id="content-fancybox<?php echo $post->id; ?>">
										<h1><?php echo $post->title; ?></h1>
										<p class="description"><?php echo $post->description; ?></p>
										<p><a target="_blank" href="<?php echo urldecode($post->link); ?>"><?php echo JText::_('COM_FEEDAGGREGATOR_LINK_ORIGINAL_POST'); ?></a></p>
										<div class="button-container">
											<hr />
											<input type="button" data-id="<?php echo $post->id; ?>" data-action="approve" class="actionBtn approveBtn btn <?php echo 'btnGrp' . $post->id; ?> " value="<?php echo JText::_('COM_FEEDAGGREGATOR_APPROVE'); ?>" id="approve-prev-<?php echo $post->id;?>" <?php echo ($post->status == "approved" ? 'disabled' : ''); ?> />
											<input type="button" data-id="<?php echo $post->id; ?>" data-action="mark" class="reviewBtn btn actionBtn <?php echo 'btnGrp' . $post->id; ?> " value="<?php echo JText::_('COM_FEEDAGGREGATOR_MARK_FOR_REVIEW'); ?>" id="mark-prev-<?php echo $post->id;?>" <?php echo ($post->status == "under review" ? 'disabled' : ''); ?> />
											<input type="button" data-id="<?php echo $post->id; ?>" data-action="remove" class="removeBtn btn actionBtn <?php echo 'btnGrp' . $post->id; ?> " value="<?php echo JText::_('COM_FEEDAGGREGATOR_REMOVE'); ?>" id="remove-prev-<?php echo $post->id;?>" <?php echo ($post->status == "removed" ? 'disabled' : ''); ?> />
										</div>
									</div>
								</div>
							</td>
						</tr>
						<?php endif; ?>
					<?php endforeach; //end foreach ?>
					</tbody>
				</table>
			</div> <!--  / .container  -->

			<?php
			if ($this->fromfeed != TRUE)
			{
				echo $this->pageNav->getListFooter();
			}
			?>
		<?php elseif ($this->filters['filterby'] == 'all' OR $this->filters['filterby'] == 'new') : ?>
			<p><?php echo JText::_('COM_FEEDAGGREGATOR_NO_POSTS'); ?></p>
			<p><a class="icon-add add btn" href="<?php echo JRoute::_('index.php?option='. $this->option . '&controller=posts&task=RetrieveNewPosts'); ?>"><?php echo JText::_('COM_FEEDAGGREGATOR_GET_NEW_POSTS'); ?></a></p>
		<?php else: ?>
			<p><?php echo JText::_('COM_FEEDAGGREGATOR_NEED_TO_REVIEW_POSTS'); ?></p>
			<p><a href="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=posts&filterby=new'); ?>"><?php echo JText::_('COM_FEEDAGGREGATOR_VIEW_NEW_POSTS'); ?></a></p>
		<?php endif; ?>

			<!--  Generate Feed -->
			<div class="postpreview-container">
				<div class="postpreview" id="feedbox">
					<h2><?php echo JText::_('COM_FEEDAGGREGATOR_GENERATE_HEADER'); ?></h2>
					<p><?php echo JText::_('COM_FEEDAGGREGATOR_GENERATE_INSTRUCTIONS'); ?></p>
					<p><a href="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=posts&task=generateFeed'); ?>">
					<?php echo rtrim(JURI::base(), '/') . JRoute::_('index.php?option=' . $this->option . '&controller=posts&task=generateFeed'); ?></a>
				</div>
			</div>
		</div> <!--  main page -->
	</form>
</section><!-- /.main section -->